Subject: Re: search_path wildcard?

From: Tom Lane <[email-masked]>
Date: Wed, 22 May 2024 13:58:50 -0400

Ron Johnson <[email-masked]> writes:
> That would be a helpful feature for administrators, when there are multiple
> schemas in multiple databases, on multiple servers: superusers get ALTER
> ROLE foo SET SEARCH_PATH  = '*'; and they're done with it.

... and they're pwned within five minutes by any user with the wits
to create a trojan-horse function or operator.  Generally speaking,
you want admins to run with a minimal search path not a maximal one.

			regards, tom lane

---

From: Ron Johnson <[email-masked]>
Date: Wed, 22 May 2024 15:12:50 -0400

> you want admins to run with a minimal search path not a maximal one.

Missing tables when running "\t" is a bigger hassle.